List tickets
GET
/api/registration/{registrationtypeid}/tickets
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/registration/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tickets"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/registration/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tickets';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/registration/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tickets \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”registrationtypeid
required
string format: uuid
The registration type identifier.
Responses
Section titled “Responses”OK
Array<object>
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
code
null | string
description
null | string
location
null | string
seat
null | string
section
null | string
externalId
null | string
label
null | string
askingPrice
null | integer | string format: int32
purchasePrice
null | integer | string format: int32
price
null | integer | string format: int32
currency
null | string
ticketTypeId
null | string format: uuid
ticketType
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
displayName
null | string
displayDescription
null | string
publish
boolean
itemOrder
integer | string format: int32
price
null | integer | string format: int32
quantity
null | integer | string format: int32
currency
null | string
numberReserved
null | integer | string format: int32
numberRemaining
null | integer | string format: int32
numberUsed
null | integer | string format: int32
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
meta
null | object
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
status
preAllocated
boolean
autoGenerated
boolean
itemOrder
integer | string format: int32
locationId
null | integer | string format: int32
extendedLocation
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
code
null | string
name
null | string
description
null | string
externalUrl
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
locationKind
capacity
null | integer | string format: int32
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
latitude
null | number | string format: double
longitude
null | number | string format: double
timezone
null | string
coordinates
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
cost
null | integer | string format: int32
currency
null | string
useForAllEventTypes
boolean
contactInformation
null | string
createdByUserId
string format: uuid
creatorIsOwner
boolean
hasRate
boolean
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Array<object>
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
code
null | string
description
null | string
location
null | string
seat
null | string
section
null | string
externalId
null | string
label
null | string
askingPrice
null | integer | string format: int32
purchasePrice
null | integer | string format: int32
price
null | integer | string format: int32
currency
null | string
ticketTypeId
null | string format: uuid
ticketType
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
displayName
null | string
displayDescription
null | string
publish
boolean
itemOrder
integer | string format: int32
price
null | integer | string format: int32
quantity
null | integer | string format: int32
currency
null | string
numberReserved
null | integer | string format: int32
numberRemaining
null | integer | string format: int32
numberUsed
null | integer | string format: int32
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
meta
null | object
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
status
preAllocated
boolean
autoGenerated
boolean
itemOrder
integer | string format: int32
locationId
null | integer | string format: int32
extendedLocation
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
code
null | string
name
null | string
description
null | string
externalUrl
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
locationKind
capacity
null | integer | string format: int32
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
latitude
null | number | string format: double
longitude
null | number | string format: double
timezone
null | string
coordinates
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
cost
null | integer | string format: int32
currency
null | string
useForAllEventTypes
boolean
contactInformation
null | string
createdByUserId
string format: uuid
creatorIsOwner
boolean
hasRate
boolean
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Example
[ { "status": "Available", "extendedLocation": { "locationKind": "None" } }]Array<object>
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
code
null | string
description
null | string
location
null | string
seat
null | string
section
null | string
externalId
null | string
label
null | string
askingPrice
null | integer | string format: int32
purchasePrice
null | integer | string format: int32
price
null | integer | string format: int32
currency
null | string
ticketTypeId
null | string format: uuid
ticketType
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
displayName
null | string
displayDescription
null | string
publish
boolean
itemOrder
integer | string format: int32
price
null | integer | string format: int32
quantity
null | integer | string format: int32
currency
null | string
numberReserved
null | integer | string format: int32
numberRemaining
null | integer | string format: int32
numberUsed
null | integer | string format: int32
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
meta
null | object
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
status
preAllocated
boolean
autoGenerated
boolean
itemOrder
integer | string format: int32
locationId
null | integer | string format: int32
extendedLocation
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
code
null | string
name
null | string
description
null | string
externalUrl
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
locationKind
capacity
null | integer | string format: int32
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
latitude
null | number | string format: double
longitude
null | number | string format: double
timezone
null | string
coordinates
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
cost
null | integer | string format: int32
currency
null | string
useForAllEventTypes
boolean
contactInformation
null | string
createdByUserId
string format: uuid
creatorIsOwner
boolean
hasRate
boolean
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Example
[ { "status": "Available", "extendedLocation": { "locationKind": "None" } }]Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}